Get Network Overview
curl --request GET \
--url https://api.rated.network/v0/eth/network/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/network/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/network/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"activatingStake": 25184000000000,
"activatingValidators": 787,
"activationQueueMinutes": 838.4,
"activeStake": 16419232000000000,
"activeStakeDiff": 0,
"avgConsensusAprPercentage": 4.110372806103757,
"avgExecutionAprPercentage": 1.8784786051796751,
"avgInclusionDelay": 1.026223700745488,
"avgNetworkAprPercentage": 5.988851411283433,
"avgUptime": 99.60745479648561,
"avgValidatorBalance": 33989164381.593678,
"avgValidatorBalanceDiff": 0,
"avgValidatorEffectiveness": 96.24882777017207,
"avg_consensus_apr_gwei": 1315319298,
"avg_execution_apr_gwei": 601113154,
"avg_network_apr_gwei": 1916432452,
"baselineMevPercentage": 11.321938366828187,
"clientPercentages": [
{
"client": "Lighthouse",
"percentage": 0.3744886640155385
},
{
"client": "Nimbus",
"percentage": 0.025649007580706686
},
{
"client": "Teku",
"percentage": 0.19682653817317683
},
{
"client": "Prysm",
"percentage": 0.4004708894725073
},
{
"client": "Lodestar",
"percentage": 0.0025649007580706685
}
],
"clientValidatorEffectiveness": [
{
"avgValidatorEffectiveness": 95.42,
"client": "Lighthouse"
},
{
"avgValidatorEffectiveness": 93.4,
"client": "Nimbus"
},
{
"avgValidatorEffectiveness": 94.9,
"client": "Teku"
}
],
"consensusLayerRewardsPercentage": 71.00716294317242,
"consensusRewardsRatio": 0.7100716294317242,
"executionRewardsRatio": 0.2899283705682758,
"exitQueueMinutes": 25.6,
"exitingStake": 3136000000000,
"exitingValidators": 98,
"fullyWithdrawingBalance": 1024000000000,
"fullyWithdrawingValidators": 32,
"giniCoefficient": 0.9374772860811317,
"latestEpoch": 162521,
"liquid_staking_penetration": 0.312321,
"medianConsensusAprPercentage": 3.892783165538195,
"medianExecutionAprPercentage": 0.6112049138020833,
"medianNetworkAprPercentage": 4.503988079340278,
"medianValidatorAgeDays": 446,
"median_consensus_apr_gwei": 1245690613,
"median_execution_apr_gwei": 195585572,
"median_network_apr_gwei": 1441276185,
"missedSlotsPercentage": 0.9463495357389193,
"network_natively_restaked": 0.035343,
"partiallyWithdrawingBalance": 1447374543384832,
"partiallyWithdrawingValidators": 35351,
"priorityFeesPercentage": 17.670898689999394,
"sumMissedSlots": 54305,
"timeWindow": "all",
"totalWithdrawingBalance": 39939418387645100,
"totalWithdrawingValidators": 35383,
"validatorCount": 513101,
"validatorCountDiff": 0,
"withdrawalProcessingQueueMinutes": 47834.2875,
"withdrawalQueueMinutes": 47392
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Network
Network overview
GET
/
v0
/
eth
/
network
/
overview
Get Network Overview
This endpoint returns a summary of key statistics for the whole network. The response gives you both the “All-time” aggregate, as well as the a paginated response on the averages of every day that precedes the current.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Response
Successful Response
Available options:
1d, 7d, 30d, all Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0